Send draft packages
curl --request POST \
--url https://my.flowsign.app/api/v1/packages/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"packageIds": [
"cmg4v8q2k0001s7xh3b9d2f6a",
"cmg4w1p7r0001s7xh8d2c5e9k"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({packageIds: ['cmg4v8q2k0001s7xh3b9d2f6a', 'cmg4w1p7r0001s7xh8d2c5e9k']})
};
fetch('https://my.flowsign.app/api/v1/packages/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({packageIds: ['cmg4v8q2k0001s7xh3b9d2f6a', 'cmg4w1p7r0001s7xh8d2c5e9k']})
};
fetch('https://my.flowsign.app/api/v1/packages/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://my.flowsign.app/api/v1/packages/send';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({packageIds: ['cmg4v8q2k0001s7xh3b9d2f6a', 'cmg4w1p7r0001s7xh8d2c5e9k']})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://my.flowsign.app/api/v1/packages/send"
payload = { "packageIds": ["cmg4v8q2k0001s7xh3b9d2f6a", "cmg4w1p7r0001s7xh8d2c5e9k"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/packages/send");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"packageIds\": [\n \"cmg4v8q2k0001s7xh3b9d2f6a\",\n \"cmg4w1p7r0001s7xh8d2c5e9k\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/packages/send");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"packageIds\": [\n \"cmg4v8q2k0001s7xh3b9d2f6a\",\n \"cmg4w1p7r0001s7xh8d2c5e9k\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://my.flowsign.app/api/v1/packages/send' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"packageIds": [
"cmg4v8q2k0001s7xh3b9d2f6a",
"cmg4w1p7r0001s7xh8d2c5e9k"
]
}'{
"data": {
"sentCount": 2,
"results": [
{
"id": "cmg4v8q2k0001s7xh3b9d2f6a",
"outcome": "sent",
"reason": "The document file has not finished uploading"
}
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}Packages
Send draft packages
Sends each listed package that is still a draft, one at a time, and reports every id in results. Requires canSendPackages.
POST
https://my.flowsign.app
/
api
/
v1
/
packages
/
send
Send draft packages
curl --request POST \
--url https://my.flowsign.app/api/v1/packages/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"packageIds": [
"cmg4v8q2k0001s7xh3b9d2f6a",
"cmg4w1p7r0001s7xh8d2c5e9k"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({packageIds: ['cmg4v8q2k0001s7xh3b9d2f6a', 'cmg4w1p7r0001s7xh8d2c5e9k']})
};
fetch('https://my.flowsign.app/api/v1/packages/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({packageIds: ['cmg4v8q2k0001s7xh3b9d2f6a', 'cmg4w1p7r0001s7xh8d2c5e9k']})
};
fetch('https://my.flowsign.app/api/v1/packages/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://my.flowsign.app/api/v1/packages/send';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({packageIds: ['cmg4v8q2k0001s7xh3b9d2f6a', 'cmg4w1p7r0001s7xh8d2c5e9k']})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://my.flowsign.app/api/v1/packages/send"
payload = { "packageIds": ["cmg4v8q2k0001s7xh3b9d2f6a", "cmg4w1p7r0001s7xh8d2c5e9k"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/packages/send");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"packageIds\": [\n \"cmg4v8q2k0001s7xh3b9d2f6a\",\n \"cmg4w1p7r0001s7xh8d2c5e9k\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://my.flowsign.app/api/v1/packages/send");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"packageIds\": [\n \"cmg4v8q2k0001s7xh3b9d2f6a\",\n \"cmg4w1p7r0001s7xh8d2c5e9k\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://my.flowsign.app/api/v1/packages/send' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"packageIds": [
"cmg4v8q2k0001s7xh3b9d2f6a",
"cmg4w1p7r0001s7xh8d2c5e9k"
]
}'{
"data": {
"sentCount": 2,
"results": [
{
"id": "cmg4v8q2k0001s7xh3b9d2f6a",
"outcome": "sent",
"reason": "The document file has not finished uploading"
}
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}{
"error": "Missing permission: canSendPackages",
"details": {
"recipients.0.email": [
"Invalid email"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace the key was issued for, as returned by GET /api/v1/workspaces. Optional: omitting it acts in the key's workspace, and any other id is rejected with 401.
Body
application/json
The ids of the draft packages to send. At least one.
Minimum array length:
1The id of a draft package.
Minimum string length:
1Example:
[
"cmg4v8q2k0001s7xh3b9d2f6a",
"cmg4w1p7r0001s7xh8d2c5e9k"
]
Response
Success
Show child attributes
Show child attributes
Was this page helpful?

